document.addEventListener('DOMContentLoaded', function() {
  // Your code here
  document.getElementById("response").innerHTML = 'Hello World From other sizd'
  chrome.storage.sync.get(['latest'], (req) => {
    const latest_response = req.latest;
    document.getElementById("response").innerHTML = `
        <p><strong>Query</strong>: ${latest_response.prompt}</p> 
        <br>
        <div><strong>Answer</strong>: ${latest_response.generatedText}</div>
      `
  })

  chrome.storage.sync.get(['history'], (req) => {
    const history = req.history;
    history.forEach((item) => {
      document.getElementById("history").innerHTML = `<div id="history_item">
        <p><strong>Query</strong>: ${item.prompt}</p> 
        <br>
        <div><strong>Answer</strong>: ${item.generatedText}</div></div> <br> <br>
      ` + document.getElementById("history").innerHTML;
    })
  })
});

chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
  if (request.type === "openai_response") {
    chrome.storage.sync.set({ latest: {
      prompt: request.prompt,
      generatedText: request.generatedText
    }}).then(() => {
      document.getElementById("response").innerHTML = `
        <p><strong>Query</strong>: ${request.prompt}</p> 
        <br>
        <div><strong>Answer</strong>: ${request.generatedText}</div>
      `
    })
    
  }
});
